package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.question.commons.core.question.AnswerType;

/**
 * @Description 待阅卷的主观题答案实体bean
 * @Author lideyin
 * @Date 2019/11/22 11:47
 * @Version 1.0
 */
public class ToBeMarkSubjectiveAnswerBean implements JsonSerializable{

	private static final long serialVersionUID = 9039765157857806599L;
    /**
     * 大题号
     */
    private Integer mainNumber;

	/**
	 * 小题号
	 */
	private Integer order;

    /**
     * 原题ID
     */
    private String questionId;

    /**
     * 考生作答
     */
    private String studentAnswer;
    /**
     * 题目作答类型
     */
    private AnswerType answerType;

    /**
     * 真实的题目作答类型（历史原因，图片作答类型未按规范指定）
     */
    private String realAnswerType;

	/**
	 * 标准答案
	 */
	private String answer;

	/**
	 * 题干
	 */
	private String body;

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public String getQuestionId() {
		return questionId;
	}

	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	public String getStudentAnswer() {
		return studentAnswer;
	}

	public void setStudentAnswer(String studentAnswer) {
		this.studentAnswer = studentAnswer;
	}

	public AnswerType getAnswerType() {
		return answerType;
	}

	public void setAnswerType(AnswerType answerType) {
		this.answerType = answerType;
	}

	public String getRealAnswerType() {
		return realAnswerType;
	}

	public void setRealAnswerType(String realAnswerType) {
		this.realAnswerType = realAnswerType;
	}

	public String getAnswer() {
		return answer;
	}

	public void setAnswer(String answer) {
		this.answer = answer;
	}

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}
}
