package cn.com.qmth.examcloud.core.oe.student.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;

public class UpdatePartialExamRecordReq extends BaseRequest {


    /**
     * @Description 更新部分考试记录数据（只支持非空的更新）
     * @Author lideyin
     * @Date 2020/6/10 14:24
     * @Version 1.0
     */
    private static final long serialVersionUID = 5839990527281288779L;

    public UpdatePartialExamRecordReq(){
        super();
    }

    public UpdatePartialExamRecordReq(Long id) {
        this.id = id;
    }

    /**
     * 主键必填字段
     */
    private Long id;

    /**
     * 同步状态（UNSYNC/SYNCED）
     */
    private String syncStatus;


    public Long getId() {
        return id;
    }


    public void setId(Long id) {
        this.id = id;
    }

    public String getSyncStatus() {
        return syncStatus;
    }

    public void setSyncStatus(String syncStatus) {
        this.syncStatus = syncStatus;
    }
}
