package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 获取作答结果请求
 * @Author lideyin
 * @Date 2020/4/25 18:58
 * @Version 1.0
 */
public class OuterGetQuestionAnswerReq extends EnterpriseRequest {

    private static final long serialVersionUID = -8374755306658040184L;

    @ApiModelProperty(value = "题目id", example = "123", required = true)
    private String questionId;

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }
}
